Watch, Follow, &
Connect with Us

Please visit our new home
community.embarcadero.com.


Welcome, Guest
Guest Settings
Help

Thread: Can't start getit package manager


This question is not answered. Helpful answers available: 2. Correct answers available: 1.


Permlink Replies: 5 - Last Post: Jul 10, 2016 11:47 AM Last Post By: Detlef Ross
Detlef Ross

Posts: 2
Registered: 11/12/02
Can't start getit package manager  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Jul 7, 2016 5:32 AM
Hi all,

I just installed Delphi 10.1 Berlin. In order to finalize the installation I would like to install jcl and jvcl via getit manager, but it fails with an error message "could not connect Embarcadero server" number 1209 and "failed to send data". Under 10 Seattle it works on the same computer.

Any idea?
Olivier Sannier

Posts: 415
Registered: 8/26/01
Re: Can't start getit package manager  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Jul 7, 2016 7:57 AM   in response to: Detlef Ross in response to: Detlef Ross
Detlef Ross wrote:
Hi all,

I just installed Delphi 10.1 Berlin. In order to finalize the installation I would like to install jcl and jvcl via getit manager, but it fails with an error message "could not connect Embarcadero server" number 1209 and "failed to send data". Under 10 Seattle it works on the same computer.

Any idea?

JCL and JVCL are not in GetIt for Berlin because Embarcadero did not
take the time to add them.
So for now, please use the daily zip packages:

http://jcl.sf.net/daily/
http://jvcl.sf.net/daily/

Regards,
Olivier
Remy Lebeau (Te...


Posts: 9,064
Registered: 12/23/01
Re: Can't start getit package manager  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Jul 7, 2016 9:17 AM   in response to: Olivier Sannier in response to: Olivier Sannier
Olivier wrote:

JCL and JVCL are not in GetIt for Berlin because
Embarcadero did not take the time to add them.

This is what worries me about GetIt, and is one of the reasons why Indy is
not in GetIt yet. I don't understand how (or if) it handles multiple IDE
versions and separates component installations for each version. As much
as the IDE needs something like GetIt, I keep getting the feeling that its
implementation still needs work.

--
Remy Lebeau (TeamB)
Angus Robertson

Posts: 188
Registered: 3/17/00
Re: Can't start getit package manager  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Jul 7, 2016 10:38 AM   in response to: Remy Lebeau (Te... in response to: Remy Lebeau (Te...
This is what worries me about GetIt, and is one of the reasons
why Indy is not in GetIt yet. I don't understand how (or if) it
handles multiple IDE versions and separates component
installations for each version.

My understanding is every version installed from GetIt is installed in
a new folder for a single IDE, so no conflicts, but no sharing between
IDE versions either.

I don't believe any Seattle components are now being updated, users are
expected to have migrated to Berlin to get the latest versions.

I keep getting the feeling that its implementation still needs work.

GetIt submissions need to be automated, not dependent on emails to
accounts that are no longer read.

Angus
Remy Lebeau (Te...


Posts: 9,064
Registered: 12/23/01
Re: Can't start getit package manager  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Jul 7, 2016 11:17 AM   in response to: Angus Robertson in response to: Angus Robertson
Angus wrote:

My understanding is every version installed from GetIt is installed in
a new folder for a single IDE, so no conflicts, but no sharing between
IDE versions either.

I have not even looked at GetIt yet, but my understanding is that GetIt compiles
the packages it downloads, so that would mean the packages themselves have
to be setup to be version-agnostic as well. There is some scripting available
in GetIt, but using separate install scripts based on IDE version might not
be feisible.

GetIt submissions need to be automated, not dependent on emails to
accounts that are no longer read.

At one point, a portal was promised to allow authors to maintain their own
submissions, but that has yet to reach the light of day.

--
Remy Lebeau (TeamB)
Detlef Ross

Posts: 2
Registered: 11/12/02
Re: Can't start getit package manager  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Jul 10, 2016 11:47 AM   in response to: Olivier Sannier in response to: Olivier Sannier
Maybe my question was not clear enough: I cannot open the package manager itself. When I click in delphi under tools on Getit Package Manager, the windows opens, but with the mentioned error message. I have a german version, but the message is poorly translated, so it makes no sense to translate it to english. So I cannot see if jcl is in there or not.
Olivier Sannier wrote:
Detlef Ross wrote:
Hi all,

I just installed Delphi 10.1 Berlin. In order to finalize the installation I would like to install jcl and jvcl via getit manager, but it fails with an error message "could not connect Embarcadero server" number 1209 and "failed to send data". Under 10 Seattle it works on the same computer.

Any idea?

JCL and JVCL are not in GetIt for Berlin because Embarcadero did not
take the time to add them.
So for now, please use the daily zip packages:

http://jcl.sf.net/daily/
http://jvcl.sf.net/daily/

Regards,
Olivier
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02